Subject: [Speermint] comments on draft-ietf-speermint-terminology-06.txt

From: Klaus Darilion <[email-masked]>
Date: Fri, 29 Sep 2006 15:55:55 +0200

Hi David!

Some comments to the terminology draft:

 > 2.  SPEERMINT Context
 >
 > Figure 1 depicts the general session interconnect context.  Note that
 > vertical axis in this figure describes the layering of identifiers,
 > while the horizontal lines indicate working group scope.  While the
 > SPEERMINT working group is not limited (or coupled in any way) to the
 > use of E.164 numbers, in the case shown here an E.164 number
 > [ITU.E164.2005] is used as a key in an E.164 to Uniform Resource
 > Identifier (URI) mapping (ENUM [RFC3761]).  That URI is in turn used
 > to retrieve a NAPTR record [RFC3404], which is in turn resolved into

I think here something got mixed up: The URI can't be used to retrieve a
NAPTR, as the URI is the result of the ENUM lookup. Maybe you ment "The
ENUM domain is used to retrieve a NAPTR record ..." ?

Further wouldn't be RFC3403 a better reference?

 >         E.164 number <--- Peer Discovery
 >              |
 >              | <--- ENUM lookup of NAPTR in DNS
 >              |
 >              |
 >              | ENUM Working Group Scope
 >         =====+====================================================
 >              | SPEERMINT Working Group Scope
 >              |
 >         SIP URI <--- Call Addressing Data (CAD)
 >              |
 >              |
 >              | <--- Federation Detection, Policy
 >              |      Lookup, and Service Location
 >              |

This is somehow in conflict with section 3.3 which defines that resource
parameters and security parameters are part of CAD. As these parameters
are usually obtained in the step "Federation Detection, Policy Lookup,
and Service Location", it should be one layer below, e.g.:

             =====+====================================================
                  | SPEERMINT Working Group Scope
                  |
             SIP URI
                  |
                  |
                  | <--- Federation Detection, Policy
                  |      Lookup, and Service Location
                  |
                 CAD <--- Call Addressing Data (SIP URI,
                  |       security parameters, ...)
                  |
             Hostname <--- Addressing and session establishment
                  |
                  | SPEERMINT Working Group Scope
             =====+====================================================

 >              |
 >         Hostname <--- Addressing and session establishment
 >              |
 >              | SPEERMINT Working Group Scope
 >         =====+====================================================
 >              | Out of scope for the SPEERMINT Working Group
 >              |
 >              | <--- Lookup of A and AAAA in DNS

Where is the NAPTR/SRV lookup? In scope of speermint or out of scope.
Although there is draft-creighton-khandpur-speermint-srv-naptr-use which
looks like it is in scope, it is also defined in RFC3263 which would IMO
be out of scope.

Nevertheless, NAPTR and SRV should be mentioned in the figure as A/AAAA
is mentioned too. Maybee it would also help to clarify the meaning of
"hostname". Is this the domain in the SIP URI or is it a hostname
resolved from NAPTR+SRV lookups?

 > 3.1.  Signaling Path Border Element
 >
 > A signaling path border element (SBE) provides signaling functions
 > such as protocol inter-working (for example, H.323 to SIP), identity
 > and topology hiding, and Call Admission Control (CAC) for a domain.

As it is called Border Element I would rather define it based on it's
location, not on its possible function. E.g. like (of course with a
better wording :-))

     SIP messages entering a domain will first be process by the domain's
     SBE. For SIP messages leaving a domain, the domain's SBE will be the
     last signaling node of the domain.

     SBEs often provide  functions
     such as protocol inter-working (for example, H.323 to SIP), identity
     and topology hiding, and Call Admission Control (CAC) for a domain.

  > Such an SBE is frequently (but need not be) deployed on a domain's
  > border.
                                                              ^^^^^^^^
Maybe domain in this context should be defined as well.

 > 3.5.  PSTN
 >
 > The term "PSTN" refers to the Public Switched Telephone Network.  In
 > particular, the PSTN refers to the collection of interconnected
 > circuit-switched voice-oriented public telephone networks, both

       ^^^^^^^ this would exclude an IMSr5 (if they ever will come)
               based mobile network
       PS: I'm fine with this definition :-)

 > 3.7.  Peer Network
 >
 > This document defines a peer network as the set of SIP UASs and SIP
 > UACs (customers) that are controlled by a single administrative
 > domain and can be reached via some IP path.  Note that such a peer
 > network may also contain end-users who are located on the PSTN (and
 > hence may also be interconnected with the PSTN), as long as they are
 > also reachable via some IP path.

So this network is a "L5 network" including all the SIP nodes, SIP
clients, gateways ..., but not the L3 access network - right? Then it
should be mentioned.

 > 3.8.  Service Provider
 >
 > A Service Provider (or SP) is defined to be an entity that provides
 > layer 3 (IP) transport of SIP signaling and media packets.

Thus this would be every ISP which do not block SIP traffic?

 >
 > 3.9.  Voice Service Provider
 >
 > A Voice Service Provider (or VSP) is an entity that provides
 > transport of SIP signaling to its customers.  In the event that the
   ^^^^^^^^^^
Does a Voice server Provider needs transport? Thus every ISP which
do not block SIP would be a voice service provider? I think this is
not the intended definition. What about:

       A Voice Service Provider (or VSP) is an entity that provides
       SIP signaling to its customers.

 > VSP is also an SP, it may also provide media streams to its
 > customers.  Such a service provider may additionally be
 > interconnected with other service providers; that is, it may "peer"
 > with other service providers.  A VSP may also interconnect with the
 > PSTN.

What do you mean with "peering" here. L3 oder L5?

 > 4.2.  Layer 5 Peering
 >
 > Layer 5 (Session) peering refers to interconnection of two service
 > providers for the purposes of routing real-time (or quasi-real time)
 > secure call signaling between their respective customers using SIP
   ^^^^^^
       Is "secure" a requirement?

What does secure mean - does it mean encryption?

 > 4.2.2.  Indirect Peering
 >
 > Indirect, or transit, peering refers to the establishment of a secure
                                                                  ^^^^
Again - is secure a requirement?

 > signaling path via one (or more) referral or transit network(s).  In
 > this case it is generally required that a trust relationship is
 > established between the originating service provider and the transit
 > network on one side, and the transit network and the termination
 > network on the other side.

Maybe a figure would be helpful:

A: VSP A
B: VSP B
T: Transit VSP

         A <---direct peering ---> T <--- direct peering ---> B

         ^                                                    ^
         |                                                    |
         \--------- indirect peering between A and B ---------/

 > 4.2.3.  Assisted Peering
 >
 > In this case, some entity (usually a federation, see Section 5)
 > employs a central SIP proxy (which is not itself a VSP) to bridge
 > calls between participating networks.

                                ^^^^^
IMO "participating peering networks" would add clarity.

 > 5.  Federations
...
 >
 > Finally, note that a SP can be a member of
 >
 >    *  No federation (e.g., the SP has only bilateral peering
 >       agreements)
 >
 >    *  A single federation
 >
 >    *  Multiple federations
 >
 > and an SP can have any combination of bi-lateral and multi-lateral
 > (i.e., federated) interconnections.

SP should be replaced with VSP (3 times)

regards
Klaus

-- 
Klaus Darilion
nic.at

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Stastny Richard" <[email-masked]>
Date: Fri, 29 Sep 2006 16:12:31 +0200

> What does secure mean - does it mean encryption?

TLS or IPsec

> Again - is secure a requirement?

IMHO yes

Richard

---

From: Klaus Darilion <[email-masked]>
Date: Fri, 29 Sep 2006 16:36:02 +0200

>> What does secure mean - does it mean encryption?

Then I would say encryption instead of secure.

regards
klaus

---

From: David Meyer <[email-masked]>
Date: Fri, 29 Sep 2006 08:01:07 -0700

Thanks Klaus. I'm working on an update (major rewrite,
	really, it seems), and I'll incorporate your comments.

	Thanks,

	--dmm